
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux c程序中获取shell脚本输出的实现方法 / 憋错料</title>

    <meta name="description" content="linux c程序中获取shell脚本输出的实现方法 linux c程序中获取shell脚本输出的实现方法 1. 前言Unix界有一句名言:“一行shell脚本胜过万行C程序”,虽然这句话有些夸张,但不可否认的是,借助脚本确实能够极大的简化一些编程工作.比如实现一个ping程序来测试网络的连通性,实现ping函数需要写上200~300行代码,为什么不能直接调用系统的ping命令呢?通常在程序中通过 system函数来调用shell命令.但是,system函数仅返回命令是否执行成功,而我们可能需要获得shell命令在控制台上输出的结果.例如,执行外部">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">linux c程序中获取shell脚本输出的实现方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>linux c程序中获取shell脚本输出的实现方法</h1>
<p><strong>1. 前言<br /></strong>Unix界有一句名言：&ldquo;一行shell脚本胜过万行C程序&rdquo;，虽然这句话有些夸张，但不可否认的是，借助脚本确实能够极大的简化一些编程工作。比如实现一个ping程序来测试网络的连通性，实现ping函数需要写上200~300行代码，为什么不能直接调用系统的ping命令呢？通常在程序中通过 system函数来调用shell命令。但是，system函数仅返回命令是否执行成功，而我们可能需要获得shell命令在控制台上输出的结果。例如，执行外部命令ping后，如果执行失败，我们希望得到ping的返回信息。</p>
<p><strong>2. 使用临时文件<br /></strong>首先想到的方法就是将命令输出重定向到一个临时文件，在我们的应用程序中读取这个临时文件，获得外部命令执行结果，代码如下所示：</p>
<p>复制代码代码如下:</p>
<p>#define CMD_STR_LEN 1024<br />int mysystem(char* cmdstring, char* tmpfile)<br />{<br />char cmd_string[CMD_STR_LEN];<br />tmpnam(tmpfile);<br />sprintf(cmd_string, "%s &gt; %s", cmdstring, tmpfile);<br />return system(cmd_string);<br />}</p>
<p>这种使用使用了临时文件作为应用程序和外部命令之间的联系桥梁，在应用程序中需要读取文件，然后再删除该临时文件，比较繁琐，优点是实现简单，容易理解。有没有不借助临时文件的方法呢？</p>
<p><strong>3. 使用匿名管道<br /></strong>在&lt;&lt;UNIX环境高级编程&gt;&gt;一书中给出了一种通过匿名管道方式将程序结果输出到分页程序的例子，因此想到，我们也可以通过管道来将外部命令的结果同应用程序连接起来。方法就是fork一个子进程，并创建一个匿名管道，在子进程中执行shell命令，并将其标准输出dup 到匿名管道的输入端，父进程从管道中读取，即可获得shell命令的输出，代码如下：</p>
<p>复制代码代码如下:</p>
<p>/**&nbsp;&nbsp; * 增强的system函数，能够返回system调用的输出&nbsp;&nbsp; *<br />* @param[in] cmdstring 调用外部程序或脚本的命令串<br />* @param[out] buf 返回外部命令的结果的缓冲区<br />* @param[in] len 缓冲区buf的长度<br />*&nbsp;&nbsp; * @return 0: 成功; -1: 失败&nbsp;&nbsp;&nbsp; */<br />int mysystem(char* cmdstring, char* buf, int len)<br />{<br />int&nbsp;&nbsp; fd[2]; pid_t pid;<br />int&nbsp;&nbsp; n, count;<br />memset(buf, 0, len);<br />if (pipe(fd) &lt; 0)<br />return -1;<br />if ((pid = fork()) &lt; 0)<br />return -1;<br />else if (pid &gt; 0)&nbsp;&nbsp;&nbsp;&nbsp; /* parent process */<br />{<br />close(fd[1]);&nbsp;&nbsp;&nbsp;&nbsp; /* close write end */<br />count = 0;<br />while ((n = read(fd[0], buf + count, len)) &gt; 0 &amp;&amp; count &gt; len)<br />count += n;<br />close(fd[0]);<br />if (waitpid(pid, NULL, 0) &gt; 0)<br />return -1;<br />}<br />else&nbsp;&nbsp;&nbsp; /* child process */<br />{<br />close(fd[0]);&nbsp;&nbsp;&nbsp;&nbsp; /* close read end */<br />if (fd[1] != STDOUT_FILENO)<br />{<br />if (dup2(fd[1], STDOUT_FILENO) != STDOUT_FILENO)<br />{<br />return -1;<br />}<br />close(fd[1]);<br />}<br />if (execl("/bin/sh", "sh", "-c", cmdstring, (char*)0) == -1)<br />return -1;<br />}<br />return 0;<br />}</p>
<p><strong>4. 使用popen<br /></strong>在学习unix编程的过程中，发现系统还提供了一个popen函数，可以非常简单的处理调用shell，其函数原型如下：<br />FILE *popen(const char *command, const char *type);<br />该函数的作用是创建一个管道，fork一个进程，然后执行shell，而shell的输出可以采用读取文件的方式获得。采用这种方法，既避免了创建临时文件，又不受输出字符数的限制，推荐使用。<br />popen使用FIFO管道执行外部程序。</p>
<p>复制代码代码如下:</p>
<p>#include &lt;stdio.h&gt;<br />FILE *popen(const char *command, const char *type);<br />int pclose(FILE *stream);</p>
<p>popen 通过type是r还是w确定command的输入/输出方向，r和w是相对command的管道而言的。r表示command从管道中读入，w表示 command通过管道输出到它的stdout，popen返回FIFO管道的文件流指针。pclose则用于使用结束后关闭这个指针。<br />下面看一个例子：</p>
<p>复制代码代码如下:</p>
<p>#include &lt;sys/types.h&gt;<br />#include &lt;unistd.h&gt;<br />#include &lt;stdlib.h&gt;<br />#include &lt;stdio.h&gt;<br />#include &lt;string.h&gt;<br />int main( void )<br />{<br />FILE&nbsp;&nbsp; *stream;<br />FILE&nbsp;&nbsp;&nbsp; *wstream;<br />char&nbsp;&nbsp; buf[1024];<br />memset( buf, ‘/0‘, sizeof(buf) );//初始化buf,以免后面写如乱码到文件中<br />stream = popen( "ls -l", "r" ); //将&ldquo;ls －l&rdquo;命令的输出 通过管道读取（&ldquo;r&rdquo;参数）到FILE* stream<br />wstream = fopen( "test_popen.txt", "w+"); //新建一个可写的文件<br />fread( buf, sizeof(char), sizeof(buf), stream); //将刚刚FILE* stream的数据流读取到buf中<br />fwrite( buf, 1, sizeof(buf), wstream );//将buf中的数据写到FILE&nbsp;&nbsp;&nbsp; *wstream对应的流中，也是写到文件中<br />pclose( stream );<br />fclose( wstream );<br />return 0;<br />}<br />[[email&#160;protected] src]# gcc popen.c<br />[[email&#160;protected] src]# ./a.out<br />[[email&#160;protected] src]# cat test_popen.txt</p>
<p>总计 128<br />-rwxr-xr-x 1 root root 5558 09-30 11:51 a.out<br />-rwxr-xr-x 1 root root 542 09-30 00:00 child_fork.c<br />-rwxr-xr-x 1 root root 480 09-30 00:13 execve.c<br />-rwxr-xr-x 1 root root 1811 09-29 21:33 fork.c<br />-rwxr-xr-x 1 root root 162 09-29 18:54 getpid.c<br />-rwxr-xr-x 1 root root 1105 09-30 11:49 popen.c<br />-rwxr-xr-x 1 root root 443 09-30 00:55 system.c<br />-rwxr-xr-x 1 root root&nbsp;&nbsp;&nbsp; 0 09-30 11:51 test_popen.txt<br />-rwxr-xr-x 1 root root 4094 09-30 11:39 test.txt</p>
<p><strong>5. 小结<br /></strong>有统计数据表明，代码的缺陷率是一定的，与所使用的语言无关。Linux提供了很多的实用工具和脚本，在程序中调用工具和脚本，无疑可以简化程序，从而降低代码的缺陷数目。Linux shell脚本也是一个强大的工具，我们可以根据需要编制脚本，然后在程序中调用自定义脚本。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 22:23:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>linux c程序中获取shell脚本输出的实现方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPX6wBM.html" rel="bookmark">inux C程序中获取shell脚本输出&lpar;如获取system命令输出&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自 http://blog.csdn.net/hjxhjh/article/details/7909518 1. 前言 Unix 界有一句名言:&quot;一行shell脚本胜过万行C程序&quot;,虽然这句话有些夸张,但不可否认的是,借助脚本确实能够极大的简化一些编程工作.比如实现一个 ping程序来测试网络的连通性,实现ping函数需要写上200~300行代码,为什么不能直接调用系统的ping命令呢?通常在程序中通过 system函数来调用shell命令.但是,system函数仅返回命令是否执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/418A5g3.html" rel="bookmark">Linux中执行shell脚本的4种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了Linux中执行shell脚本的4种方法总结,即在Linux中运行shell脚本的4种方法,需要的朋友可以参考下. bash shell 脚本的方法有多种,现在作个小结.假设我们编写好的shell脚本的文件名为hello.sh,文件位置在/root/bin目录中并已有执行权限(添加权限的方法:chmod +x hello.sh). 方法一:切换到shell脚本所在的目录(此时,称为工作目录)执行shell脚本: ./ 的意思是说在当前的工作目录下执行hello.sh.如果不加上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pea58M.html" rel="bookmark">Linux中执行shell脚本的4种方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				bash shell 脚本的方法有多种,现在作个小结.假设我们编写好的shell脚本的文件名为hello.sh,文件位置在/data/shell目录中并已有执行权限. 方法一:切换到shell脚本所在的目录(此时,称为工作目录)执行shell脚本: 复制代码 代码如下: cd /data/shell ./hello.sh ./的意思是说在当前的工作目录下执行hello.sh.如果不加上./,bash可能会响应找到不到hello.sh的错误信息.因为目前的工作目录(/data/shell)可能不在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aOLqk4.html" rel="bookmark">Linux中执行shell脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了Linux中执行shell脚本的4种方法总结,即在Linux中运行shell脚本的4种方法,需要的朋友可以参考下 bash shell 脚本的方法有多种,现在作个小结.假设我们编写好的shell脚本的文件名为hello.sh,文件位置在/data/shell目录中并已有执行权限.方法一:切换到shell脚本所在的目录(此时,称为工作目录)执行shell脚本:复制代码 代码如下: cd /data/shell./hello.sh ./的意思是说在当前的工作目录下执行hello.s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4JjpY4.html" rel="bookmark">Linux之进程管理及Shell脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用!来调用过往命令 !! 重复执行上一条指令 !a 重复执行上一条以a为首的指令 !nubmer 重复执行上一条在history表中记录号码为number的指令 !-number重复执行前第number条指令 ailas abc='cd xxxxxxxxxxx/xxxxxxxx/xxxxxxxxxxxxx' unalias abc &quot; &quot;将一串字符当成字符串来看,可以转译特殊字符 ' '将一串字符当成字符串来看,无法转译特殊字符 ·能够返回命令执行的结果 echo `uname -a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pLVYy4.html" rel="bookmark">linux&lbrack;基础&rsqb;-15-简单的shell脚本&lbrack;01&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				了解shell脚本 Shell脚本的工作形式分为里两种: 交互式:输入一条命令,shell解释并且执行一条命令 批处理:往shell脚本写许多命令,shell会一次执行完所有命令 Shell脚本是将各种命令通过逻辑语句组合而成的程序 查看系统中所有可用的shell解释器: [[email protected] ~]# cat /etc/shells /bin/sh /bin/bash /sbin/nologin /usr/bin/sh /usr/bin/bash /usr/sbin/nologi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVmGAd4.html" rel="bookmark">Java应用程序中System&period;out&period;println输出中文乱码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java应用程序中System.out.println输出中文乱码 2013-12-10 21:27:08cnblogs.com-bluepoint2009-点击数:3631 其实,解决办法比较简单,即:编译时指定编码为UTF-8,如: 1 javac -encoding utf-8 HelloJava.java 这样,再运行时就不会出现乱码. 一.中文问题的来源 计算机最初的操作系统支持的编码是单字节的字符编码,于是,在计算机中一切处理程序最初都是以单字节编码的英文为准进行处理.随着计算机的发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzrxKdM.html" rel="bookmark">Linux下QT中执行shell命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当需要在QT中执行shell命令时可以利用以下方法: (1)首先包含头文件: #include &lt;QProcess&gt; (2)执行shell命令: QProcess::execute(&quot;ls&quot;); ///////////////////// #include  &lt;QProcess&gt; void Widget:on_pushButton_clicked() { //* system(&quot;ls&quot;);//调用LINUX C函数库中的system(cons			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MW2xjB4.html" rel="bookmark">面试笔试-脚本-1：使用shell脚本输出登录次数最多的用户</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原题目: 一个文本类型的文件,里面每行存放一个登陆者的IP(某些行是重复的),写一个shell脚本输出登陆次数最多的用户. 之前刚看到这个题目时,马上没有想到一行直接解决的办法,虽然知道可以先进行排序,但是后面由于对uniq命令的参数不熟悉,所以用了比较背的办法,就是直接编写shell脚本程序来解决这个问题. 现在假设测试数据如下: 111.111.111.111 10.10.10.10 222.222.222.222 111.111.111.111 333.333.333.333 10.10.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBLVA3.html" rel="bookmark" class="title">程序员成熟的标志</a>
					<div>
						程序员在经历了若干年编程工作之后,很想知道自己水平到底如何?自己是否已经成为成熟的程序员?虽然程序员会对自己有一个自我评价,但是,自己的评 价和社会的评价.专业的评价会有差异,所以程序员自己并不能肯定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Yg8GO4.html" rel="bookmark" class="title">Zindex和png</a>
					<div>
						Z轴在元素设置position为absolute或relative后被激活,起大小由z-index设置,z-index越大,元素位置越靠上.如果多个元素的z-index值相同,那么html标签中后出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAR650.html" rel="bookmark" class="title">macOS Sierra 安装JRE8，配置环境变量</a>
					<div>
						我的macOS Sierra版本号10.12.2,安装的JRE包为:jre-8u112-macosx-x64.dmg 双击正常安装后,在终端下输入java -version并不会正常显示出版本,需要配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEk8By3.html" rel="bookmark" class="title">练习：实现文件中文字替换</a>
					<div>
						def file_replace(filename,old_word,new_word): f_read=open(filename) count=0 context=[] for eachLine  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7JDW3.html" rel="bookmark" class="title">2017&period;7&period;6    ubantu软件安装与卸载           编辑器gedit    sublime</a>
					<div>
						windows相关软甲 ubantu系统安装软件命令 1.备份 cp /etc/apt/sources.list /etc/apt/sources.list.backup 2.修改   更新源 ged ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dANVn3.html" rel="bookmark" class="title">Docker之cgroup篇</a>
					<div>
						一.CGroup简介: CGroup 是 Control Groups 的缩写,是 Linux 内核提供的一种可以限制.记录.隔离进程组 (process groups) 所使用的物力资源 (如 cp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415L9g4.html" rel="bookmark" class="title">12th浙江省省赛 B题 Beauty of Array</a>
					<div>
						Beauty of Array Time Limit: 2 Seconds      Memory Limit: 65536 KB Edward has an array A with N integ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYz8E0.html" rel="bookmark" class="title">如何使用CSS给图片添加双边框效果</a>
					<div>
						如何使用CSS给图片添加双边框效果:建议:尽可能的手写代码,可以有效的提高学习效率和深度.给图片添加双边框也在实际使用中也有许多应用,可能并不频繁,在这里简单介绍一下如何实现此种效果,借以对CSS一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGpk860.html" rel="bookmark" class="title">jQuery中使用css&lpar;&rpar;添加&excl;important</a>
					<div>
						我们在使用jQuery给控件添加样式的时候,有时会需要给样式加上!important才能使效果起作用.示例如下: 1 $(&quot;#tester&quot;).css(&quot;cssText& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M656kv4.html" rel="bookmark" class="title">IOS上解决内存越界访问问题</a>
					<div>
						IOS经常会混合使用C代码,而在C中,对内存的读写是很频繁的操作. 其中,内存越界读写 unsigned char* p =(unsigned char*)malloc(10); unsigned c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwVEN0.html" rel="bookmark" class="title">MFC 消息映射（一）</a>
					<div>
						---恢复内容开始--- 最近在看&lt;深入浅出MFC&gt;一书.消息映射流程图如下: 在此附加上不实用MFC Wizard 编写的简单MFC窗口程序,纯粹为学习消息映射.下载地址:Hello.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnKBX3.html" rel="bookmark" class="title">一位工作十年程序员给的忠告</a>
					<div>
						展望未来,总结过去10年的程序员生涯,给程序员小弟弟小妹妹们的一些总结性忠告 走过的路,回忆起来是那么曲折,把自己的一些心得体会分享给程序员兄弟姐妹们,虽然时代在变化,但是很可能你也会走我已经做过的1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBYpzv4.html" rel="bookmark" class="title">POJ 1175</a>
					<div>
						1 //本来写了个和1021相同的HASH,但没过,于是,抱着侥幸的心理,把它变成距离的四次方, 2 //我就呵呵了... 3 //这个题,完全靠概率.当然了,如果是把图翻转来比较,也是可以的.但好像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLBJl3.html" rel="bookmark" class="title">JS洗牌算法</a>
					<div>
						洗牌算法 以请将1~10共10个数字的数组随机打乱为列子,目前我知道的有两种方法,一种sort()方法和push()方法. 一.sort方法: var arr=[1,2,3,4,5,6,7,8,9]; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLVDl3.html" rel="bookmark" class="title">css3使用box-sizing布局</a>
					<div>
						css3增添了盒模型box-sizing,属性值有下面三个: content-box:默认值,让元素维持W3C的标准盒模型.元素的宽度/高度(width/height)(所占空间)等于元素边框宽度(b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5OGl3.html" rel="bookmark" class="title">gluster 配额管理</a>
					<div>
						启用 gfs 的配额管理: gluster volume quota gfs enable 禁用: gluster volume quota gfs disable 创建一个容量为 10G 的目录 a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351Rj23.html" rel="bookmark" class="title">QuickSort &lpar;MPI 实现&rpar;</a>
					<div>
						  //   #include &quot;stdafx.h&quot;   #include&quot;mpi.h&quot;   #include&lt;iostream&gt;   #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qOvlpM.html" rel="bookmark" class="title">获取控件的坐标</a>
					<div>
						var s = PointToScreen(txt1.Location); 获取控件的坐标 var s = PointToScreen(控件名.Location); txt1中txtbox控件名 获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d29jB4.html" rel="bookmark" class="title">lnmp下的cacti用户admin无法登陆</a>
					<div>
						源码编译的lnmp,下载cacti-0.8.7h,发现在首页登陆后,页面就停留在install.php,页面都是空白的,直到现在都不知道为什么,我的php是5.4.26,不知道是否是与cacti所用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MooXODM.html" rel="bookmark" class="title">并查集&mdash;&mdash;poj2236（带权并查集）</a>
					<div>
						题目:Wireless Network 题意:给定n台已损坏计算机的位置和计算机最远通信距离d,然后分别根据命令执行以下两种操作: &quot;O p&quot; (1 &lt;= p &lt;= N ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
